DLAR2V(3f)

NAME
DLAR2V - a vector of real plane rotations from both sides to a sequence of 2-by-2 real symmetric matrices, defined by the elements of the vectors x, y and z

SYNOPSIS

SUBROUTINE DLAR2V(
    N, X, Y, Z, INCX, C, S, INCC )

INTEGER
    INCC, INCX, N

DOUBLE
    PRECISION C( * ), S( * ), X( * ), Y( * ), Z( * )

PURPOSE
DLAR2V applies a vector of real plane rotations from both sides to a sequence of 2-by-2 real symmetric matrices, defined by the elements of the vectors x, y and z. For i = 1,2,...,n
   ( x(i) z(i) ) := ( c(i) s(i) ) ( x(i) z(i) ) ( c(i) -s(i) )
   ( z(i) y(i) ) ( -s(i) c(i) ) ( z(i) y(i) ) ( s(i) c(i) )

ARGUMENTS

N       (input) INTEGER
    The number of plane rotations to be applied.

X       (input/output) DOUBLE PRECISION array,
    dimension (1+(N-1)*INCX) The vector x.

Y       (input/output) DOUBLE PRECISION array,
    dimension (1+(N-1)*INCX) The vector y.

Z       (input/output) DOUBLE PRECISION array,
    dimension (1+(N-1)*INCX) The vector z.

INCX    (input) INTEGER
    The increment between elements of X, Y and Z. INCX > 0.

C       (input) DOUBLE PRECISION array, dimension (1+(N-1)*INCC)
    The cosines of the plane rotations.

S       (input) DOUBLE PRECISION array, dimension (1+(N-1)*INCC)
    The sines of the plane rotations.

INCC    (input) INTEGER
    The increment between elements of C and S. INCC > 0.